Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.control.io
[Java] Class AbstractReaderSource

    java.lang.Object
      org.codehaus.groovy.control.io.AbstractReaderSource

All Implemented Interfaces:
  ReaderSource

    public abstract class AbstractReaderSource
    extends java.lang.Object

For ReaderSources that can choose a parent class, a base that provides common functionality.

Authors:
  Chris Poirier

Version:
  \$Id\$

Field Summary
`protected CompilerConfiguration` | `configuration`

Constructor Summary
`AbstractReaderSource(CompilerConfiguration configuration)`

Method Summary
`boolean` | `canReopenSource()` Returns true if the source can be restarted (ie. if getReader() will return non-null on subsequent calls.
`void` | `cleanup()` Cleans up any cached resources used by getLine().
`java.lang.String` | `getLine(int lineNumber, Janitor janitor)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### configuration

    protected CompilerConfiguration configuration

Constructor Detail

### AbstractReaderSource

    public AbstractReaderSource(CompilerConfiguration configuration)

Method Detail

### canReopenSource

    public boolean canReopenSource()

  Returns true if the source can be restarted (ie. if getReader() will return non-null on subsequent calls.

### cleanup

    public void cleanup()

  Cleans up any cached resources used by getLine().

### getLine

    public java.lang.String getLine(int lineNumber, Janitor janitor)

Groovy Documentation